function init(hero) {
    hero.setName("Gamora Zen Whoberi Ben Titan");
    hero.setTier(6);
    
    hero.setHelmet("Hair");
    hero.setChestplate("Chestpiece");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
	
    hero.addPowers("tgheroes:ae_phys");
    hero.addAttribute("PUNCH_DAMAGE", 5.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 2.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);
    hero.addAttribute("SPRINT_SPEED", 0.25, 1);

	hero.addKeyBind("BLADE", "Draw Sword", 1);
	hero.addKeyBind("SHIELD", "Sword block", 2);
	
    hero.addAttributeProfile("BLADE", battonstProfile);
    hero.setAttributeProfile(getProfile);
    hero.setDamageProfile(getProfile);
    hero.addDamageProfile("BLADE", {"types": {"SHARP": 2.0}});	
    hero.setKeyBindEnabled(isKeyBindEnabled);

}

function battonstProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 12, 0);
	profile.addAttribute("REACH_DISTANCE", 2.0, 0);
}

function getProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "BLADE" : null;
}

function isKeyBindEnabled(entity, keyBind) {  
	switch (keyBind) {
    case "SHIELD":
        return entity.getHeldItem().isEmpty() && entity.getData("fiskheroes:blade");
    default:
        return true;
    }
}


